curl -X POST https://chatatp-agent-builder-backend.onrender.com/v1/conversations/91/messages/ \
-H "Authorization: Bearer $CHATATP_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"content": "Do you ship to Lagos?",
"metadata": { "client_message_id": "msg_abc123" }
}'
{
"conversation": {},
"user_message": {},
"agent_message": {}
}Messages
Send a message
Send a user message and wait for the agent reply
POST
/
v1
/
conversations
/
{conversation_id}
/
messages
/
curl -X POST https://chatatp-agent-builder-backend.onrender.com/v1/conversations/91/messages/ \
-H "Authorization: Bearer $CHATATP_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"content": "Do you ship to Lagos?",
"metadata": { "client_message_id": "msg_abc123" }
}'
{
"conversation": {},
"user_message": {},
"agent_message": {}
}integer
required
Conversation ID.
string
required
Message text.
object
Optional metadata (for example a client-side message ID).
ConversationSummary
required
{ id, external_user_id } for the conversation.Message
required
The stored user message.
Message
required
The completed agent reply.
curl -X POST https://chatatp-agent-builder-backend.onrender.com/v1/conversations/91/messages/ \
-H "Authorization: Bearer $CHATATP_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"content": "Do you ship to Lagos?",
"metadata": { "client_message_id": "msg_abc123" }
}'
SDK
const result = await client.messages.send(91, {
content: "Do you ship to Lagos?",
metadata: { client_message_id: "msg_abc123" },
});
console.log(result.agent_message.content);
result = await client.messages.send(
91,
"Do you ship to Lagos?",
metadata={"client_message_id": "msg_abc123"},
)
print(result.agent_message.content)

